# fann_get_errstr

(PECL fann >= 1.0.0)

fann_get_errstr — Returns the last errstr

### Description

fann_get_errstr ( resource `$errdat` ) : string

Returns the last errstr.

### Parameters

`errdat`

  Either neural network resource or neural network trainining data resource.

### Return Values

The last error string, or `FALSE` on error.

### See Also

- fann_reset_errstr() - Resets the last error string
- fann_get_errno() - Returns the last error number